JsDoc Reference - SmartCardHSMKey

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SmartCardHSMKey

Class implementing key access
Defined in: SmartCardHSM.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SmartCardHSMKey(sc, id) Create a key access object

Method Summary
Method Attributes | Method Name and Description
--- | ---
| decrypt(mech, data, iv) Decrypt data using a key in the SmartCard-HSM
| encrypt(mech, data, iv) Encrypt data using a key in the SmartCard-HSM
| getId() Return the key identifier
| getLabel() Return the key label as encoded in the PKCS#15 structure
| getPKCS15Id() Return the key id as encoded in the PKCS#15 structure
| getSize() Return the key size in bits
| getType() Return the key type
| setDescription(desc) Set the PKCS#15 private key description
| sign(mech, data) Sign data using a key in the SmartCard-HSM
| toString() Return human readable string

Class Detail
SmartCardHSMKey(sc, id)
Create a key access object

Parameters:
{SmartCardHSM} sc
  the card access object
{Number} id
  the key identifier

Method Detail
{ByteString} decrypt(mech, data, iv)
Decrypt data using a key in the SmartCard-HSM

Parameters:
{Number} mech
  the decipher mechanism
{ByteString} data
  to be deciphered
iv

Returns:
  the plain message

{ByteString} encrypt(mech, data, iv)
Encrypt data using a key in the SmartCard-HSM

Parameters:
{Number} mech
  the encipherr mechanism
{ByteString} data
  to be enciphered
iv

Returns:
  the plain message

{Number} getId()
Return the key identifier

Returns:
  the key identifier

{String} getLabel()
Return the key label as encoded in the PKCS#15 structure

Returns:
  the key label

{ByteString} getPKCS15Id()
Return the key id as encoded in the PKCS#15 structure

Returns:
  the key identifier

{Number} getSize()
Return the key size in bits

Returns:
  the key size in bits

{String} getType()
Return the key type

Returns:
  the key type

setDescription(desc)
Set the PKCS#15 private key description

Parameters:
{ASN1} desc
  the description

{ByteString} sign(mech, data)
Sign data using a key in the SmartCard-HSM

Parameters:
{Number} mech
  the signing mechanism
{ByteString} data
  to be signed

Returns:
  the signature

toString()
Return human readable string

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)